Bug 279811 - virt-manager is passing "eth0 (Bridge eth0)" to virt-install instead of bridge name
Summary: virt-manager is passing "eth0 (Bridge eth0)" to virt-install instead of bridg...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-05 23:39 UTC by Eduardo Habkost
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 21:30:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the bug (1.57 KB, patch)
2007-09-05 23:39 UTC, Eduardo Habkost
no flags Details | Diff

Description Eduardo Habkost 2007-09-05 23:39:43 UTC
Version-Release number of selected component (if applicable):
virt-manager-0.5.0-1.fc8

Description of problem:
virt-manager is generating the following when creating new virtual machines 
using bridged networking:

    <interface type='bridge'>
      <source bridge='eth0 (Bridge eth0)'/>
      <mac address='00:16:3e:5c:b6:42'/>
    </interface>


Generating the error:
libvirtError: virDomainCreateLinux() failed POST operation failed: 
(xend.err 'Device 0 (vif) could not be connected. Could no
t find bridge device eth0 (Bridge eth0)')

Comment 1 Eduardo Habkost 2007-09-05 23:39:43 UTC
Created attachment 188251 [details]
Fix for the bug

Comment 2 Adam Tkac 2007-09-06 07:06:11 UTC
Same problems, patch works as expected

Comment 3 Richard W.M. Jones 2007-09-19 10:28:25 UTC
I can also confirm that this patch fixes the problem for me.

Comment 4 Daniel Berrange 2007-09-27 21:30:09 UTC
Fixed in 0.5.1 in rawhide.



Note You need to log in before you can comment on or make changes to this bug.